ID(1)

NAME
id - print user and group IDs and names

SYNOPSIS
/usr/local/heirloom/usr/5bin/id
/usr/local/heirloom/usr/5bin/id -a

/usr/local/heirloom/usr/5bin/posix/id [user]
/usr/local/heirloom/usr/5bin/posix/id -a [user]
/usr/local/heirloom/usr/5bin/posix/id -G [-n] [user]
/usr/local/heirloom/usr/5bin/posix/id -g [-nr] [user]
/usr/local/heirloom/usr/5bin/posix/id -u [-nr] [user]

DESCRIPTION
The id command outputs the numerical and symbolic user and group IDs of the invoking user or, if the user argument is given for /usr/local/heirloom/usr/5bin/posix/id, for the named user. If an effective ID does not match the corresponding real ID, both are printed.

The /usr/local/heirloom/usr/5bin/posix/id adds supplementary group memberships to the output by default.

/usr/local/heirloom/usr/5bin/s42/id and /usr/local/heirloom/usr/5bin/posix2001/id are identical to /usr/local/heirloom/usr/5bin/posix/id.

The following options are accepted:

  /usr/local/heirloom/usr/5bin/id

-a  Adds supplementary group memberships to the output.

  /usr/local/heirloom/usr/5bin/posix/id

-a  Adds the primary group to the list of supplementary groups.

-G  Writes real, effective and supplementary group ID numbers only.

-g  Writes the effective group ID number only.

-n  Modifies the output of the -G, -g, and -u options to print symbolic instead of numeric IDs.

-r  Causes real instead of effective IDs to be printed.

-u  Writes the effective user ID number only.

FILES

/etc/passwd

/etc/group

SEE ALSO
groups(1), logins(1), getuid(2), geteuid(2), getgroups(2), group(5), passwd(5)

NOTES
Use of id with any options or arguments is unportable. For portable programs, use sed(1) to cut the appropriate portions off the default output of id (using the invariable `uid=' and `gid=' strings as orientation) and groups(1) or logins(1) if you need more information than available by this method.